/*
 * Copyright 2016-present Open Networking Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.onosproject.fpcagent.rest;

import org.onosproject.rest.AbstractWebResource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Response;

@Path("/")
public class FpcWebResource extends AbstractWebResource {
    private static final Logger log =
            LoggerFactory.getLogger(FpcWebResource.class);

    @GET
    @Path("/response")
    public Response getResponse() {
        return Response.ok().build();
    }

    @GET
    @Path("/request")
    public Response getRequest() {
        return Response.ok().build();
    }

    @GET
    @Path("/notification")
    public Response getNotification() {
        return Response.ok().build();
    }
}
